## nova 15.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0.0,>=1.8 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
decorator>=3.4.0 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
WebOb>=1.6.0 # MIT
greenlet>=0.3.2 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
PrettyTable<0.8,>=0.7.1 # BSD
sqlalchemy-migrate>=0.9.6 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
paramiko>=2.0 # LGPLv2.1+
Babel>=2.3.4 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
keystoneauth1>=2.18.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,>=16.0 # PSF/ZPL
websockify>=0.8.0 # LGPLv3
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.privsep>=1.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
psutil>=3.0.1 # BSD
oslo.versionedobjects>=1.17.0 # Apache-2.0
os-brick>=1.8.0 # Apache-2.0
os-vif>=1.4.0 # Apache-2.0
os-win>=1.4.0 # Apache-2.0
castellan>=0.4.0 # Apache-2.0
microversion-parse>=0.1.2 # Apache-2.0
os-xenapi>=0.1.1 # Apache-2.0

=== debian/changelog ===
nova (2:15.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream point release for OpenStack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Mar 2017 08:42:18 -0400

nova (2:15.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release for OpenStack Ocata.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 14:52:46 +0000

nova (2:15.0.0-0ubuntu1.1) zesty; urgency=medium

  * d/nova-placement-api.conf: Fix typo in combined log format (LP: #1671509).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Mar 2017 15:28:19 -0500

nova (2:15.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:57:01 -0500

nova (2:15.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 
  * d/p/add-update_cell-command-to-nova-manage.patch: Dropped no longer
    needed.
  * d/p/enable-defaults-for-update_cell-command.patch: Dropped no longer
    needed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 17 Feb 2017 08:40:43 -0500

nova (2:15.0.0~rc1-0ubuntu3) zesty; urgency=medium

  * d/p/add-update_cell-command-to-nova-manage.patch: Cherry-picked
    from upstream stable/ocata branch to enable update of existing v2
    cell. This enables scaling of rabbitmq-server.
  * d/p/enable-defaults-for-update_cell-command.patch: Cherry-picked
    from gerrit to enable use of default arguments with update_cell.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Feb 2017 11:43:48 -0500

nova (2:15.0.0~rc1-0ubuntu2) zesty; urgency=medium

  * debian/rules, debian/tests: Fix autopkgtests. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 16:23:32 -0500

nova (2:15.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Feb 2017 13:24:09 -0500

nova (2:15.0.0~b3-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix bad dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Feb 2017 08:57:57 -0500

nova (2:15.0.0~b3-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/nova-common.install: Add nova-status command.
  * debian/control: Add python-os-xenapi package.
  * debian/control: Add python-osprofiler package.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 12:31:56 -0500

nova (2:15.0.0~b2-0ubuntu4) zesty; urgency=medium

  * d/control: Add bridge-utils dep to nova-compute.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 12:16:53 -0500

nova (2:15.0.0~b2-0ubuntu3) zesty; urgency=medium

  * d/p/os-vif-1.4-compat.patch: Cherry pick patch for compat
    with os-vif >= 1.4.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Jan 2017 09:55:39 +0000

nova (2:15.0.0~b2-0ubuntu2) zesty; urgency=medium

  * d/t/*: Drop nova-network from tests as it is being
    deprecated and nova/cmd/network.py errors out of cells
    aren't enabled.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 13:53:22 -0500

nova (2:15.0.0~b2-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * debian/tests/nova-compute-daemon: Re-add tests. 
  * debian/control: Add python-ddt as a dependency.
  * debian/patches/arm-console-patch.patch: Refreshed.
  * debian/nova-conf.dist: 
    - Disable cells
    - Remove verbose logging

  [ Corey Bryant ]
  * d/p/arm-console-patch.patch: Rebased.
  * d/nova-placement-api.{apache2,conf,init.in}, d/control, d/rules: Run
    nova-placement-api under apache2 with mod_wsgi.
  * d/control: Drop 'Conflicts: nova-api' from nova-placement-api because
    placement api can't be specified on nova.conf's enabled_apis, which is
    used to specify which APIs to run when nova-api is used (confirmed by
    cdent).
  * New upstream version.
  * d/p/arm-console-patch.patch: Rebased.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:48:56 -0500

nova (2:15.0.0~b1-1ubuntu3) zesty; urgency=medium

  * debian/tests/nova-compute-daemon: Simplify smoke test. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Nov 2016 13:44:20 -0500

nova (2:15.0.0~b1-1ubuntu2) zesty; urgency=medium

  * debian/setup-nova-config.sh: Fix nova.conf generation
    script. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2016 06:59:19 -0500

nova (2:15.0.0~b1-1ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * debian/pratches/wsgi-intercept.patch: Dropped no longer needed.
  * debian/patches/libvirt-add-hugepages-support-for-arm64.patch: Dropped no
    longer needed.
  * debian/control: Bump version dependencies. 

  [ Corey Bryant ]
  * d/rules, d/nova-common.install: policy.json has been dropped since
    default policies are registered in code. Generate sample policy.yaml
    and install in /usr/share/nova.
  * d/debian/nova-common.postinst: Drop chmod of policy.json.
  * d/rules, d/nova-common.install, d/nova.conf: Drop hardcoded nova.conf and
    generate it instead (LP: #1506667).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Nov 2016 09:55:41 -0500

nova (2012.1~e4~20120208.12523-0ubuntu1) zesty; urgency=low

  [ Chuck Short ]
  * debian/patches/fix-nova-rootwraper-env.patch: Dropped
    no longer needed.
  * debian/nova-compute-{kvm,xen,uml,lxc}.conf: Add the connection
    type "--connection=libvirt" since libvirt is no longer the default.

  [ Adam Gandelman ]
  * debian/nova.conf: Define connection_type=libvirt in common nova.conf
    instead of nova-compute-*.conf until Bug #921294 is addressed.

  [ Vish Ishaya ]
   * debian/mans/nova-cert.8, debian/nova-cert.init, debian/nova-cert.install,
     debian/nova-cert.logrotate, debian/nova-cert.manpages,
     debian/nova-cert.upstart.in, debian/control, debian/source_nova.py:
     Add nova-cert.

  [ Soren Hansen ]


=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 37ubuntu3~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit,
                     genisoimage,
                     openssh-client,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.26.1),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.10.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml (>= 2.3),
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:5.1.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-brick (>= 1.8.0),
                     python-os-testr (>= 0.8.0),
                     python-os-vif (>= 1.4.0),
                     python-os-win (>= 1.4.0),
                     python-os-xenapi (>= 0.1.1),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslo.vmware (>= 2.15.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psutil (>= 1.2.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-rfc3986 (>= 0.3.1),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest-lib (>= 0.14.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-websockify (>= 0.8.0),
                     python-wsgi-intercept (>= 1.4.1),
Build-Conflicts: python-cjson,
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends: openssh-client,
         openssl,
         python-babel (>= 2.3.4),
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-cryptography (>= 1.0),
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.5.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneauth1 (>= 2.14.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 4.2.0),
         python-os-brick (>= 1.8.0),
         python-os-vif (>= 1.3.0),
         python-os-win (>= 1.1.0),
         python-os-xenapi,
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler,
         python-paramiko (>= 1.16.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-prettytable (>= 0.7.1),
         python-psutil (>= 1.1.1),
         python-pymysql,
         python-requests (>= 2.10.0),
         python-rfc3986 (>= 0.2.0),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ldap,
Conflicts: python-cjson,
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides},
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         python-nova (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Recommends: python-glanceclient,
            python-keystone,
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: bridge-utils,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends: adduser,
         ebtables,
         genisoimage,
         iptables,
         kpartx,
         libvirt-bin,
         nova-compute (= ${binary:Version}),
         open-iscsi,
         parted,
         python-libvirt,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${python:Depends}
Suggests: guestmount,
          multipath-tools,
          rsync,
          sg3-utils,
          sysfsutils,
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor,
Conflicts: nova-compute-hypervisor,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api python-nova
Depends: nova-conductor, nova-cert, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-placement-api, nova-console,
 nova-consoleauth, python-nova, rabbitmq-server, nova-compute
Restrictions: needs-root

## nova 15.0.7

=== debian/changelog ===
nova (2:15.0.7-2) unstable; urgency=medium

  * Fix requirements - python-oslo.privsep

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 26 Oct 2017 12:35:03 +0200

nova (2:15.0.7-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 21 Sep 2017 10:57:03 +0200

nova (2:15.0.6-2) unstable; urgency=medium

  * Fix nova-placement-api , missing apache config

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 31 Aug 2017 12:24:03 +0200

nova (2:15.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Wed, 16 Aug 2017 12:00:00 +0200

nova (2:14.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858708, #858710).

  [ Thomas Goirand ]
  * CVE-2017-7214: apply upstream patch (Closes: 858568).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Apr 2017 12:52:50 +0200

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools (>= 16.0),
               python-sphinx,
Build-Depends-Indep: bandit (>= 1.1.0),
                     bpython,
                     euca2ools,
                     genisoimage,
                     git,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-boto,
                     python-castellan (>= 0.4.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-cryptography (>= 1.0),
                     python-ddt (>= 1.0.1),
                     python-decorator,
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-gabbi (>= 1.26.1),
                     python-glanceclient (>= 1:2.5.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-ironicclient (>= 1.11.0),
                     python-iso8601 (>= 0.1.11),
                     python-jinja2 (>= 2.8),
                     python-jsonschema,
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml,
                     python-memcache,
                     python-microversion-parse (>= 0.1.2),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.9.0),
                     python-openstackdocstheme (>= 1.5.0),
                     python-os-api-ref,
                     python-os-brick (>= 1.8.0),
                     python-os-testr (>= 0.8.0),
                     python-os-vif (>= 1.4.0),
                     python-os-win (>= 1.4.0),
                     python-os-xenapi (>= 0.1.1),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.privsep (>= 1.16.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslo.vmware (>= 2.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-pil,
                     python-prettytable,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.12.2),
                     python-requests-mock (>= 1.1),
                     python-rfc3986 (>= 0.3.1),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib.seqdiag,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob,
                     python-websockify (>= 0.8.0),
                     python-wsgi-intercept (>= 1.4.1),
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify (>= 0.8.0),
Build-Conflicts: python-cjson
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git -b debian/ocata
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Depends: openssh-client,
         openssl,
         python-babel (>= 2.3.4),
         python-boto,
         python-castellan (>= 0.4.0),
         python-cinderclient (>= 1:1.6.0),
         python-cryptography (>= 1.0),
         python-decorator,
         python-enum34,
         python-eventlet (>= 0.18.4),
         python-feedparser,
         python-glanceclient (>= 1:2.5.0),
         python-greenlet,
         python-iso8601 (>= 0.1.11),
         python-jinja2 (>= 2.8),
         python-jsonschema,
         python-keystoneauth1 (>= 2.18.0),
         python-keystonemiddleware (>= 4.12.0),
         python-lxml,
         python-memcache,
         python-microversion-parse (>= 0.1.2),
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.9.0),
         python-os-brick (>= 1.8.0),
         python-os-vif (>= 1.4.0),
         python-os-win (>= 1.4.0),
         python-os-xenapi (>= 0.1.1),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.privsep (>= 1.16.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-prettytable,
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pycurl,
         python-pymysql,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 2.12.2),
         python-rfc3986 (>= 0.3.1),
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-tempita,
         python-webob,
         python-wsgi-intercept (>= 1.4.1),
         sudo,
         websockify (>= 0.8.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends: adduser,
         bridge-utils,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         rsync,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         lxc,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/')

include /usr/share/python/python.mk

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample
	rm -rf .testrepository subunit.log instances keys
	rm -rf debian/bla
	rm -f AUTHORS
	rm -f ChangeLog
	rm -f doc/source/_static/nova.conf.sample
	rm -f doc/source/_static/nova.policy.yaml.sample

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_install:
	echo "Please do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file=$(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf \
		--wrap-width 140 \
		--namespace nova.conf \
		--namespace nova.api \
		--namespace nova.cells \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token
	# Otherwise, this is set to the build dir
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT pybasedir /usr/lib/python2.7/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT bindir /usr/bin

	# General needed fixes
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf oslo_concurrency lock_path /var/lock/nova
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT state_path /var/lib/nova

	# Let's use Neutron by default, and not stupid nova-network
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT security_group_api neutron
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT network_api_class nova.network.neutronv2.api.API
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT use_neutron True
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT linuxnet_interface_driver nova.network.linux_net.LinuxOVSInterfaceDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf DEFAULT default_floating_pool ext-nat

	# Fixup a few defaults for the [neutron] auth
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_type v3password
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron auth_url http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron username admin
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron user_domain_name default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron project_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf neutron service_metadata_proxy true

	# Convenient default for the SQLite default db
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf database connection sqlite:////var/lib/nova/novadb

	# Let's use SPICE byd default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC enabled false
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf VNC vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice vncserver_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_listen 0.0.0.0
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice server_proxyclient_address \$$my_ip
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf spice enabled true

	# Set glance on localhost by default, to allow PoC to work
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf glance api_servers http://localhost:9292

	# Works by default
	pkgos-fix-config-default $(CURDIR)/debian/nova-common/usr/share/nova-common/nova.conf keystone_authtoken auth_protocol http

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata

	dh_install --fail-missing -Xbin/nova-all

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete
	cp $(CURDIR)/nova/db/sqlalchemy/migrate_repo/migrate.cfg $(CURDIR)/debian/python-nova/usr/lib/python2.7/dist-packages/nova/db/sqlalchemy/migrate_repo

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)

## nova 15.0.8

=== debian/changelog ===
nova (2:15.0.8-1) unstable; urgency=medium

  * New upstream version
  * Update Vcs Fields

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 20 Dec 2017 14:45:07 +0100

nova (2:14.0.0~b2-2) experimental; urgency=medium

  * Team upload.
  * Added python-pep8 to build depends (Closes: #834134)
  * (Build-)Depends on python-websockify instead of websockify

 -- Ondřej Nový <onovy@debian.org>  Sun, 14 Aug 2016 17:49:12 +0200

## nova 15.1.0

=== debian/changelog ===
nova (2:15.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 04 Jan 2018 10:25:57 +0100

=== debian/control ===
--- 
+++ 
@@ -110,11 +110,10 @@
                      sqlite3,
                      subunit,
                      testrepository,
-                     websockify (>= 0.8.0),
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git/?h=debian%2Focata
-Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-nova.git -b debian/ocata
+Vcs-Browser: https://anonscm.debian.org/git/openstack/services/nova.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/services/nova.git
 Homepage: http://www.openstack.org/software/openstack-compute/
 
 Package: python-nova
@@ -189,7 +188,6 @@
          python-webob,
          python-wsgi-intercept (>= 1.4.1),
          sudo,
-         websockify (>= 0.8.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-suds (>= 0.4.0)
@@ -297,3 +295,4 @@
  .
  OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
  designed to be modular and easy to extend and adapt. In addition to its
+ "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
